This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 188413 - ThinkPad resumes from Suspend with a blank screen, not usable at all
ThinkPad resumes from Suspend with a blank screen, not usable at all
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
5
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Phil Knirsch
http://thinkwiki.org/wiki/Problem_wit...
:
Depends On:
Blocks: 196349 208650
  Show dependency treegraph
 
Reported: 2006-04-09 05:53 EDT by Kevin Verma
Modified: 2015-03-04 20:16 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-23 10:37:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kevin Verma 2006-04-09 05:53:31 EDT
Description of problem:
This is a Thinkpad specific issue where subjected Thinkpad and few other models
are not able to resume from suspend in a useful state without workarounds. The
clear problem is that dispaly remains in a blank state while the input is
working via keyboard.

Version-Release number of selected component (if applicable):
gnome-power-manager-2.14.0-1

How reproducible:
After every suspend to RAM, upon resume 

Steps to Reproduce:
1. Click "System" -> "Suspend"
2. After System has suspended, resume from the power button

  
Actual results:
System resumes from suspend state but the diplay is in a blank state and is not
useful at all.

Expected results:
Fully functional system resume from the suspended state

Additional info:
I am testing the same on a Think Pad R50e with intel 82852/855GM chipset.
http://thinkwiki.org/wiki/Problem_with_display_remaining_black_after_resume#Solution_for_ThinkPads_with_Intel_Extreme_Graphics_2
Comment 1 Richard Hughes 2006-04-09 08:31:44 EDT
I think this bug should more correctly be assigned to pm-utils, as it requires a
resume action similar to what we do with intel and ati cards.
Comment 2 Richard Hughes 2006-06-20 18:34:01 EDT
You might want to see http://hughsient.livejournal.com/1906.html
Comment 3 Kevin Verma 2006-11-08 13:08:06 EST
Many thanks for updating here and suggesting timely, I have returned to update
on this BZ, while I am using FC6. 

This is working out of the box with FC6 and the suspend is , suspend to disk,
using swsusp. 

Everything works beautifully fine, no issues, on my part this can be closed. 
Comment 4 Zack Cerza 2007-01-23 11:42:36 EST
Closing FC5 bugs as RAWHIDE makes very little sense ;)

->NEXTRELEASE

Note You need to log in before you can comment on or make changes to this bug.